Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Interface AbstractVideoWidgetInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  AbstractVideoWidget

    public interface AbstractVideoWidgetInterface

extends QtJambiInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractVideoWidget(long ptr)` This method is internal to Qt Jambi.
`VideoWidget.AspectRatio` | `aspectRatio()` This method is internal to Qt Jambi.
`double` | `brightness()` This method is internal to Qt Jambi.
`double` | `contrast()` This method is internal to Qt Jambi.
`double` | `hue()` This method is internal to Qt Jambi.
`double` | `saturation()` This method is internal to Qt Jambi.
`VideoWidget.ScaleMode` | `scaleMode()` This method is internal to Qt Jambi.
`void` | `setAspectRatio(VideoWidget.AspectRatio arg__1)` This method is internal to Qt Jambi.
`void` | `setBrightness(double arg__1)` This method is internal to Qt Jambi.
`void` | `setContrast(double arg__1)` This method is internal to Qt Jambi.
`void` | `setHue(double arg__1)` This method is internal to Qt Jambi.
`void` | `setSaturation(double arg__1)` This method is internal to Qt Jambi.
`void` | `setScaleMode(VideoWidget.ScaleMode arg__1)` This method is internal to Qt Jambi.
`QWidget` | `widget()` This method is internal to Qt Jambi.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### aspectRatio

    VideoWidget.AspectRatio aspectRatio()

  This method is internal to Qt Jambi.

### brightness

    double brightness()

  This method is internal to Qt Jambi.

### contrast

    double contrast()

  This method is internal to Qt Jambi.

### hue

    double hue()

  This method is internal to Qt Jambi.

### saturation

    double saturation()

  This method is internal to Qt Jambi.

### scaleMode

    VideoWidget.ScaleMode scaleMode()

  This method is internal to Qt Jambi.

### setAspectRatio

    void setAspectRatio(VideoWidget.AspectRatio arg__1)

  This method is internal to Qt Jambi.

### setBrightness

    void setBrightness(double arg__1)

  This method is internal to Qt Jambi.

### setContrast

    void setContrast(double arg__1)

  This method is internal to Qt Jambi.

### setHue

    void setHue(double arg__1)

  This method is internal to Qt Jambi.

### setSaturation

    void setSaturation(double arg__1)

  This method is internal to Qt Jambi.

### setScaleMode

    void setScaleMode(VideoWidget.ScaleMode arg__1)

  This method is internal to Qt Jambi.

### widget

    QWidget widget()

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractVideoWidget

    long __qt_cast_to_AbstractVideoWidget(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD